<?php

namespace Drupal\jw_player_media_source\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\FormatterBase;
use Drupal\Core\Field\FieldItemListInterface;

/**
 * Plugin implementation of the 'jw_video_script_formatter' formatter.
 *
 *
 * @FieldFormatter(
 *   id = "jw_video_script_formatter",
 *   label = @Translation("JW Video Script Formatter"),
 *   module = "jw_player_media_source",
 *   field_types = {
 *     "field_jw_video_item"
 *   }
 * )
 */
class JwVideoScriptFormatter extends FormatterBase
{

  /**
   * {@inheritdoc}
   */
  public function viewElements(FieldItemListInterface $items, $langcode)
  {
    $elements = [];

    foreach ($items as $delta => $item) {
      // Set the value of the Script tag property depending on user provided video url.
      $elements[$delta] = [
        '#type' => 'html_tag',
        '#tag' => 'script',
        '#attributes' => [
          'src' => $item->value,
        ],
      ];
    }
    return $elements;
  }

  /**
   * {@inheritdoc}
   *
   * Set the default values for the formatter's configuration.
   */
  public static function defaultSettings()
  {
    // The keys of this array should match the form element names in
    // settingsForm(), and the schema defined in
    // config/schema/field_example.schema.yml.
    return parent::defaultSettings();
  }
}
